Attean::API::TermParser(3pm)

NAME
Attean::API::TermParser - Role for parsers of Attean::API::Term objects

VERSION
This document describes Attean::API::TermParser version 0.033

DESCRIPTION
The Attean::API::TermParser role defines parsers of Attean::API::Term objects.

ROLES
This role consumes the Attean::API::Parser role.

METHODS
This role provides default implementations of the following methods:

"handled_type"
    Returns a Type::Tiny object for objects which consume the Attean::API::Term role.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.